# Uses of Class
org.apache.avro.idl.IdlParser.RecordDeclarationContext

## Uses of IdlParser.RecordDeclarationContext in org.apache.avro.idl

Methods in org.apache.avro.idl that return IdlParser.RecordDeclarationContext
Modifier and Type
Method
Description
`IdlParser.RecordDeclarationContext`
IdlParser.NamedSchemaDeclarationContext.`recordDeclaration()`
`final IdlParser.RecordDeclarationContext`
IdlParser.`recordDeclaration()`
Methods in org.apache.avro.idl with parameters of type IdlParser.RecordDeclarationContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterRecordDeclaration(IdlParser.RecordDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.recordDeclaration()`.
`void`
IdlListener.`enterRecordDeclaration(IdlParser.RecordDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.recordDeclaration()`.
`void`
IdlBaseListener.`exitRecordDeclaration(IdlParser.RecordDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.recordDeclaration()`.
`void`
IdlListener.`exitRecordDeclaration(IdlParser.RecordDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.recordDeclaration()`.